unit View.Search;

interface

uses
  System.SysUtils, System.Generics.Collections, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, WEBLib.Menus, WEBLib.ExtCtrls, WEBLib.StdCtrls,
  WEBLib.JSON, Auth.Service, XData.Web.Client, WebLib.Storage,
  ConnectionModule, App.Types, Vcl.StdCtrls, Vcl.Controls, WEBLib.DBCtrls,
  Data.DB, XData.Web.JsonDataset, XData.Web.Dataset, WEBLib.DB, WEBLib.Grids,
  Vcl.Grids;

type
  TFSearch = class(TWebForm)
    pnlMessage: TWebPanel;
    lblMessage: TWebLabel;
    btnCloseNotification: TWebButton;
    wcbFilterType1: TWebComboBox;
    btnConfirm: TWebButton;
    edtSearch: TWebEdit;
    dtpStartDate1: TWebDateTimePicker;
    dtpEndDate1: TWebDateTimePicker;
    cbNull1: TWebCheckBox;
    wcbFieldType: TWebComboBox;
    wcbOrderType: TWebComboBox;
    btnCancel: TWebButton;
    lblStatus1: TWebLabel;
    lblType1: TWebLabel;
    lblStartDate1: TWebLabel;
    lblEndDate1: TWebLabel;
    wcbFilterType2: TWebComboBox;
    dtpStartDate2: TWebDateTimePicker;
    dtpEndDate2: TWebDateTimePicker;
    cbNull2: TWebCheckBox;
    lblStatus2: TWebLabel;
    lblType2: TWebLabel;
    lblStartDate2: TWebLabel;
    lblEndDate2: TWebLabel;
    procedure btnConfirmClick(Sender: TObject);
    procedure WebFormShow(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    //FJSONProc: TJSONProc;
  public
    class function CreateForm(AElementID: string): TWebForm;
    var
      confirm: boolean;
  end;

var
  FSearch: TFSearch;

implementation

{$R *.dfm}

class function TFSearch.CreateForm(AElementID: string): TWebForm;
begin
  Application.CreateForm(TFSearch, AElementID, Result,
    procedure(AForm: TObject)
    begin
      with TFSearch(AForm) do
      begin

      end;
    end
  );
end;

procedure TFSearch.WebFormShow(Sender: TObject);
begin
  dtpStartDate1.Date := 0;
  dtpEndDate1.Date := 0;
  dtpStartDate1.Date := 0;
  dtpEndDate1.Date := 0;
  confirm := false;
end;

procedure TFSearch.btnCancelClick(Sender: TObject);
begin
  Close;
end;

procedure TFSearch.btnConfirmClick(Sender: TObject);
begin
  confirm := true;
  Close;
end;

end.

